Mantis Issue Tracking for Scribus
· Hosting provided by / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001633ScribusGeneralpublic2005-02-05 10:042005-04-15 11:46
Assigned Tosubik 
Platformi686OSGentooOS Version-
Product Version1.3.0cvs 
Target VersionFixed in Version1.3.0cvs 
Summary0001633: plugins manager
DescriptionCreate plugins manager - load/unload plugs (to save memory etc.).
It implies to rewrite plugin management into separate class (ScribusApp::DLL% => PluginManager::DLL% + more functions).
It will propably speed up compilation (smaller scribus.cpp).
TagsNo tags attached.
Attached Files

- Relationships
related to 0003813acknowledged Metabug: Scripter 

-  Notes
cbradney (administrator)
2005-02-05 14:24

The only plugin thats kept in memory all the time is Scripter, and this is required as you can close the console and go back to it.
subik (manager)
2005-02-06 06:02

i know it. i want to give user posibility to not load it etc.
ringerc (administrator)
2005-02-06 06:12

Also, if this integrates with the prefs system then if/when the prefs have administrator-lockable options, it would be possible for admins to disable some plug-ins without recompiling.
subik (manager)
2005-02-06 07:31

craigr: good point. it's in 1.3 preferences dialog alreday (ehm, it just lists available plugins - nothing more ;))

I do it esp. for binary distros users. As I know e.g. SUSE has the "compile with all available features enabled" politics and there are users never have seen e.g python yet (yes, I know some of them) so it's memory wasting to keep it in ram :)
They won't use macros too ;)
subik (manager)
2005-03-03 19:03

plugin manager is functional in 1.3.0cvs try to break it please.
comments welcomed.
ringerc (administrator)
2005-03-23 13:51

Works well here :-)

(I can read and understand it too, which makes me happy)
subik (manager)
2005-04-13 08:01

it's basically done. next features (About plugins etc.) will be appended later.

- Issue History
Date Modified Username Field Change
2005-02-05 10:04 subik New Issue
2005-02-05 14:24 cbradney Note Added: 0003632
2005-02-06 06:02 subik Note Added: 0003636
2005-02-06 06:12 ringerc Note Added: 0003637
2005-02-06 07:31 subik Note Added: 0003638
2005-03-03 19:03 subik Note Added: 0003863
2005-03-23 13:51 ringerc Note Added: 0003960
2005-04-13 08:01 subik Status assigned => resolved
2005-04-13 08:01 subik Fixed in Version => 1.3.0cvs
2005-04-13 08:01 subik Resolution open => fixed
2005-04-13 08:01 subik Note Added: 0004238
2005-04-15 11:45 cbradney Status resolved => closed
2006-05-13 23:42 christoph_s Relationship added related to 0003813

Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker